Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/{subscription_uuid}/terminate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "end_of_period",
"reason": "rzrjuepvjfmommbemp",
"details": "l",
"meta": {
"use_again": true
}
}
'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/{subscription_uuid}/terminate"
payload = {
"type": "end_of_period",
"reason": "rzrjuepvjfmommbemp",
"details": "l",
"meta": { "use_again": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'end_of_period',
reason: 'rzrjuepvjfmommbemp',
details: 'l',
meta: {use_again: true}
})
};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/{subscription_uuid}/terminate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "1e16b4f8-6269-337a-bd95-581ac26d5dbc",
"type": "immediate",
"status": "completed",
"reason": "Fugiat nesciunt in eos.",
"details": "Occaecati et aliquam quia omnis dolorem magnam. Sapiente aut consequatur molestiae vitae. Delectus consequatur aut quia voluptas in.",
"meta": {
"use_again": true
},
"requested_at": "2026-03-11T14:05:32.0000000+00:00",
"terminated_at": "2026-03-03T14:05:32.0000000+00:00"
}
}Creates termination request for customer subscription.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
end_of_period "end_of_period"
Must not be greater than 255 characters.
"rzrjuepvjfmommbemp"
The meta data of the termination request.
Show child attributes
{ "use_again": true }
Must not be greater than 600 characters.
"l"
Show child attributes